cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/pricing_periods/261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"pricing_period": {
"display_name": "Monthly price (AU)",
"description": "Priced once a month"
}
}'from exsited import build_client
client = build_client()
response = client.pricing_periods.update_settings_pricing_period(
"261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{
"pricing_period": {
"display_name": "Monthly price (AU)",
"description": "Priced once a month",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.pricingPeriods.updateSettingsPricingPeriod('261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
pricing_period: {display_name: 'Monthly price (AU)', description: 'Priced once a month'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->pricingPeriods->updateSettingsPricingPeriod(
'261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
[
'pricing_period' => [
'display_name' => 'Monthly price (AU)',
'description' => 'Priced once a month',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.pricing_periods.pricing_periods_dto.PricingPeriodsDto.SettingsPricingPeriod;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsPricingPeriod> response = client.pricingPeriods().updateSettingsPricingPeriod(
"261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"pricing_period", Map.of(
"display_name", "Monthly price (AU)",
"description", "Priced once a month")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PricingPeriods.UpdateSettingsPricingPeriodAsync(
"261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["pricing_period"] = new Dictionary<string, object?>
{
["display_name"] = "Monthly price (AU)",
["description"] = "Priced once a month",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.pricingPeriods.updateSettingsPricingPeriod(
'261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'pricing_period': {
'display_name': 'Monthly price (AU)',
'description': 'Priced once a month',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PricingPeriods().UpdateSettingsPricingPeriod(context.Background(), "261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"pricing_period": map[string]any{
"display_name": "Monthly price (AU)",
"description": "Priced once a month",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"pricing_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"time_period": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
}
}
}Pricing periods
Update a pricing period
Changes the fields of a pricing period, or enables or disables it, and returns it under pricing_period.
PATCH
/
settings
/
pricing_periods
/
{pricing_period_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/pricing_periods/261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"pricing_period": {
"display_name": "Monthly price (AU)",
"description": "Priced once a month"
}
}'from exsited import build_client
client = build_client()
response = client.pricing_periods.update_settings_pricing_period(
"261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{
"pricing_period": {
"display_name": "Monthly price (AU)",
"description": "Priced once a month",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.pricingPeriods.updateSettingsPricingPeriod('261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
pricing_period: {display_name: 'Monthly price (AU)', description: 'Priced once a month'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->pricingPeriods->updateSettingsPricingPeriod(
'261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
[
'pricing_period' => [
'display_name' => 'Monthly price (AU)',
'description' => 'Priced once a month',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.pricing_periods.pricing_periods_dto.PricingPeriodsDto.SettingsPricingPeriod;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsPricingPeriod> response = client.pricingPeriods().updateSettingsPricingPeriod(
"261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"pricing_period", Map.of(
"display_name", "Monthly price (AU)",
"description", "Priced once a month")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PricingPeriods.UpdateSettingsPricingPeriodAsync(
"261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["pricing_period"] = new Dictionary<string, object?>
{
["display_name"] = "Monthly price (AU)",
["description"] = "Priced once a month",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.pricingPeriods.updateSettingsPricingPeriod(
'261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'pricing_period': {
'display_name': 'Monthly price (AU)',
'description': 'Priced once a month',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PricingPeriods().UpdateSettingsPricingPeriod(context.Background(), "261b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"pricing_period": map[string]any{
"display_name": "Monthly price (AU)",
"description": "Priced once a month",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"pricing_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"time_period": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
}
}
}Send the fields to change under
pricing_period. To enable or disable it, send status as active or inactive.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The pricing period's id, as a listing or a create returns it.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated pricing period, under pricing_period.
Show child attributes
Show child attributes